const { expect } = require('chai')
const Container = require('../../src/Container')
const Service = require('../../src/Service')
const DependencyInjector = require('../../src/DependencyInjector')
const Injectable = require('../../src/Injectable')

describe('[integration] IoC singleton registry', function() {
    let container
    let di
    beforeEach(function() {
        di = new DependencyInjector()
        container = di.container
    })

    it('should allow registering singletons', function() {
        const sym = Symbol('testing!')
        expect(container.register_singleton('test singleton', sym)).to.be.undefined
        expect(di.get('test singleton')).to.be.equal(sym)
    })
})
